# H4502_CTIdentifyRes Class Reference

`#include <h4502.h>`

Inheritance diagram for H4502_CTIdentifyRes:

List of all members.

## Public Types

enum | OptionalFields { e_resultExtension }

## Public Member Functions

| H4502_CTIdentifyRes (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4502_CallIdentity | m_callIdentity
H4501_EndpointAddress | m_reroutingNumber
H4502_CTIdentifyRes_resultExtension | m_resultExtension

## Member Enumeration Documentation

enum H4502_CTIdentifyRes::OptionalFields

Enumerator:

  e_resultExtension |

## Constructor & Destructor Documentation

H4502_CTIdentifyRes::H4502_CTIdentifyRes | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4502_CTIdentifyRes::GetDataLength | ( |  | ) | const

PBoolean H4502_CTIdentifyRes::Decode | ( | PASN_Stream & | strm | ) |

void H4502_CTIdentifyRes::Encode | ( | PASN_Stream & | strm | ) | const

void H4502_CTIdentifyRes::PrintOn | ( | ostream & | strm | ) | const

Comparison H4502_CTIdentifyRes::Compare | ( | const PObject & | obj | ) | const

PObject* H4502_CTIdentifyRes::Clone | ( |  | ) | const

## Member Data Documentation

H4502_CallIdentity H4502_CTIdentifyRes::m_callIdentity

H4501_EndpointAddress H4502_CTIdentifyRes::m_reroutingNumber

H4502_CTIdentifyRes_resultExtension H4502_CTIdentifyRes::m_resultExtension

The documentation for this class was generated from the following file:

- h4502.h